libzypp: zypp::debug::Tm Struct Reference

libzypp 17.38.15

zypp::debug::Tm Struct Reference

Times measured by Measure. More...

## Public Member Functions
| Tm ()
void | get ()
Tm | operator- (const Tm &rhs) const
std::string | asString () const
std::string | stringIf (clock_t ticks_r, const std::string &tag_r) const
double | asSec (clock_t ticks_r) const
std::string | timeStr (time_t sec_r) const
std::string | timeStr (double sec_r) const

## Public Attributes
time_t | _real
| Real time via `::time`.
struct tms | _proc
| Process times via `::times`.

## Static Public Attributes
static const long | ticks = sysconf(_SC_CLK_TCK)
| Systems ticks per second.
static const struct tms | tmsEmpty = { 0, 0, 0, 0 }
| Empty struct tms.

## Detailed Description

Times measured by Measure.

Definition at line 37 of file Measure.cc.

## Constructor & Destructor Documentation

## ◆ Tm()

zypp::debug::Tm::Tm | ( |  | ) |
| inline

Definition at line 39 of file Measure.cc.

## Member Function Documentation

## ◆ get()

void zypp::debug::Tm::get | ( |  | ) |
| inline

Definition at line 44 of file Measure.cc.

## ◆ operator-()

Tm zypp::debug::Tm::operator- | ( | const Tm & | rhs | ) | const
| inline

Definition at line 50 of file Measure.cc.

## ◆ asString()

std::string zypp::debug::Tm::asString | ( |  | ) | const
| inline

Definition at line 61 of file Measure.cc.

## ◆ stringIf()

std::string zypp::debug::Tm::stringIf | ( | clock_t | ticks_r,
|  | const std::string & | tag_r ) const
| inline

Definition at line 74 of file Measure.cc.

## ◆ asSec()

double zypp::debug::Tm::asSec | ( | clock_t | ticks_r | ) | const
| inline

Definition at line 85 of file Measure.cc.

## ◆ timeStr() [1/2]

std::string zypp::debug::Tm::timeStr | ( | time_t | sec_r | ) | const
| inline

Definition at line 88 of file Measure.cc.

## ◆ timeStr() [2/2]

std::string zypp::debug::Tm::timeStr | ( | double | sec_r | ) | const
| inline

Definition at line 101 of file Measure.cc.

## Member Data Documentation

## ◆ ticks

const long zypp::debug::Tm::ticks = sysconf(_SC_CLK_TCK)
| static

Systems ticks per second.

Definition at line 115 of file Measure.cc.

## ◆ tmsEmpty

const struct tms zypp::debug::Tm::tmsEmpty = { 0, 0, 0, 0 }
| static

Empty struct tms.

Definition at line 117 of file Measure.cc.

## ◆ _real

time_t zypp::debug::Tm::_real

Real time via `::time`.

Definition at line 119 of file Measure.cc.

## ◆ _proc

struct tms zypp::debug::Tm::_proc

Process times via `::times`.

Definition at line 121 of file Measure.cc.

The documentation for this struct was generated from the following file:

- zypp/base/Measure.cc